%define name	scalapack-petsc
%define fname	scalapack
%define	version	1.8.0
%define release	%mkrel 1
%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %name %{lib_major}

Summary:	Scalapack
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.netlib.org/scalapack/
Source:		http://www.netlib.org/scalapack/%{fname}-%{version}.tar.bz2
Patch0: 	%{name}-%{version}-SLmake.inc.patch
Patch1:		%{name}-%{version}.patch
Patch2:		%{fname}-SLmake.inc-cdefs.patch
Patch3:		%{name}-%{version}-libname.patch
Requires:	blacsmpi-devel >= 1.1
Provides:	%{name}-%{version}
BuildRequires:	gcc-gfortran
BuildRequires:	openmpi

%package        -n %{lib_name}-devel
Summary:	Scalapack
Group:          Development/Other
Prefix:         %{_prefix}

%description -n %{lib_name}-devel 
The ScaLAPACK (or Scalable LAPACK) library includes a subset of 
LAPACK routines redesigned for distributed memory MIMD parallel
computers. It is currently written in a Single-Program-Multiple-Data 
style using explicit message passing for interprocessor communication. 
It assumes matrices are laid out in a two-dimensional block cyclic 
decomposition.

This version is suitable for being used in PETSc libraries 2.3.3 and 3.0.0.

%description
The ScaLAPACK (or Scalable LAPACK) library includes a subset of 
LAPACK routines redesigned for distributed memory MIMD parallel
computers. It is currently written in a Single-Program-Multiple-Data
style using explicit message passing for interprocessor communication.
It assumes matrices are laid out in a two-dimensional block cyclic
decomposition.

This version is suitable for being used into PETSc library.

%prep
rm -rf %{buildroot}
%setup -q -n %{fname}-%{version}
cp -p SLmake.inc.example SLmake.inc
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 
sed -i 's|@SCALAPACK_HOME@|%{_builddir}/scalapack-%{version}|' SLmake.inc

%build
make \
F77=mpif90 \
CC=mpicc \
F77FLAGS="%{optflags} -O3 -fPIC" \
CCFLAGS="%{optflags} -O3 -fPIC"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/%{name}-%{version}
cp $RPM_BUILD_DIR/%{fname}-%{version}/lib%{name}.a %{buildroot}/%{_libdir}/%{name}-%{version}/lib%{name}.a

%clean
rm -fr %{buildroot}

%files -n %{lib_name}-devel
%defattr(-,root,root) 
%attr(644,root,root) %doc README
%{_libdir}/*/lib%{name}.a



%changelog
* Sat Mar 28 2009 Giuseppe Ghibò <ghibo@mandriva.com> 1.8.0-1mdv2009.0
+ Revision: 362006
- import scalapack-petsc


* Sat Mar 28 2009 Giuseppe Ghibò <ghibo@mandriva.com> 1.8.0-1mdv2009.0
- Remove LAPACK as in PETSc version.
- Use Add_ as CDEFS (Patch2).
- Rename lib to libscalapack-petsc.a (Patch3)
- Pass compilation flags to make.
- Initial release based on scalapack SPEC file.
